import utils from './index.js';
import Md5 from './Md5';
import storage from './storage';

export default {
  name: 'Ruochu Admin',
  prefix: 'RuochuAdmin',
  footerText: 'copyright © Ruochu 2014-2017',
  logo: '/logo.png',
  requestHeader: {
    /** 请求数据格式，如： application/json */
    ContentType: 'application/json',

    /** 请求返回类型，如： HTML, JSON；默认返回 HTML */
    ReplyDataType: 'JSON',

    /** APP 版本， 如： V_1.0, V_2.0, V_3.0 */
    Vnum: 'V_3.0',

    /** APP 下载渠道, 如： IOSAppStore, AndroidAppMarket, WeChatSubscription */
    Channel: 'PC',

    /** 设备类型， 如: IOS, Android, Tablet, PC */
    Device: 'PC',

    /** 设备编号，每个设备的唯一标识，如 PC 的 MAC 地址 */
    Udid() {
      return utils.randomString();
    },

    /** 请求时的客户端时间戳毫秒数 */
    ClientTime() {
      return new Date().getTime();
    },

    /** 验证公钥 */
    PubKey() {
      return storage.get('pubKey') || 'PC';
    },

    /** 验证 */
    Signature() {
      return storage.get('signature') || 'PC';
    },

    /** 针对以上 Header 参数的 MD5 验签 */
    Authorization(str) {
      return Md5.hex_md5(str).toUpperCase();
    }
  }
}
